package com.logicbig.example;

import java.util.Arrays;

public class ArraysDeepEqualsExample {

    public static void main(String[] args) {
        Object[] array1 = {3, 5, 9};
        Object[] array2 = {3, 5, 9};

        boolean equal = Arrays.deepEquals(array1, array2);
        System.out.printf("Arrays.deepEquals(array1, array2) : %s%n", equal);

        //nested arrays
        Object[] array3 = {3, 5, new int[]{6, 7, 9}};
        Object[] array4 = {3, 5, new int[]{6, 7, 9}};

        boolean equal2 = Arrays.deepEquals(array3, array4);
        System.out.printf("Arrays.deepEquals(array3, array4) : %s%n", equal2);

        //more nested levels
        Object[] array5 = {3, 5, new Object[]{6, 7, new int[]{11, 13}}};
        Object[] array6 = {3, 5, new Object[]{6, 7, new int[]{11, 13}}};

        boolean equal3 = Arrays.deepEquals(array5, array6);
        System.out.printf("Arrays.deepEquals(array5, array6) : %s%n", equal3);
    }
}